Run the following block to configure =icalendar=:

#+begin_src emacs-lisp
  (setq
   org-icalendar-store-UID 't
   org-icalendar-use-scheduled '(event-if-not-todo))
(org-version)
#+end_src

#+RESULTS:
: 9.6.1

Now place the cursor on the top heading below ("Main Event") and run
~M-x org-tree-to-indirect-buffer~ to narrow to that tree, select the
indirect buffer and run ~M-x org-icalendar-export-to-ics~.

- Expected outcome :: an =.ics= file should be created with a
  =VCALENDAR= containing a =VEVENT= for each of the headings shown in
  the indirect buffer.
- What actually happens :: The execution does not seem to ever finish;
  pressing ~C-g~ will finally leave an UID for the first heading but
  not any of the following. No =ics= file is being created.
- Workaround ::  ~(setq org-element-use-cache nil)~ will make the
  results appear almost instantly (as expected)

* Main Event
SCHEDULED: <2023-02-07 Tue>
** Sub event 1
SCHEDULED: <2023-03-07 Tue>
** Sub event 2
SCHEDULED: <2023-03-14 Tue>

* Backtrace
#+begin_example
Debugger entered--Lisp error: (quit)
  (cond ((not (derived-mode-p 'org-mode)) outline-regexp) ((not (featurep 'org-inlinetask)) org-outline-regexp) (t (let* ((limit-level (1- org-inlinetask-min-level)) (nstars (if org-odd-levels-only (1- (* limit-level 2)) limit-level))) (format "\\*\\{1,%d\\} " nstars))))
  org-get-limited-outline-regexp()
  (let* ((org-called-with-limited-levels t) (org-outline-regexp (org-get-limited-outline-regexp)) (outline-regexp org-outline-regexp) (org-outline-regexp-bol (concat "^" org-outline-regexp))) (outline-previous-heading))
  (progn (defvar org-called-with-limited-levels) (defvar org-outline-regexp) (defvar outline-regexp) (defvar org-outline-regexp-bol) (let* ((org-called-with-limited-levels t) (org-outline-regexp (org-get-limited-outline-regexp)) (outline-regexp org-outline-regexp) (org-outline-regexp-bol (concat "^" org-outline-regexp))) (outline-previous-heading)))
  (if (progn (defvar org-called-with-limited-levels) (defvar org-outline-regexp) (defvar outline-regexp) (defvar org-outline-regexp-bol) (let* ((org-called-with-limited-levels t) (org-outline-regexp (org-get-limited-outline-regexp)) (outline-regexp org-outline-regexp) (org-outline-regexp-bol (concat "^" org-outline-regexp))) (outline-previous-heading))) (progn (setq element (org-element-headline-parser nil 'fast)) (setq mode 'planning) (forward-line)) (setq element (org-element-org-data-parser)) (setq mode 'org-data))
  (cond ((and (not cached) (org-element--cache-active-p)) (setq element (org-element-org-data-parser)) (if (org-element-property :begin element) nil (let* ((format-string (format "Error parsing org-data. Got %S\nPlease report to Or..." element)) (format-string (if (or ... ...) format-string (prog1 ... ...)))) (if (and (boundp 'org-batch-test) org-batch-test) (error "%s" (concat "org-element--cache: " format-string)) (display-warning 'org-element-cache (concat "org-element--cache: " format-string))))) (if (or org-element--cache-diagnostics (eq org-element--cache-self-verify 'backtrace)) (progn (let* ((format-string (concat ... "Nothing in cache. Adding org-data: %S")) (format-string (format format-string ...))) (if org-element--cache-diagnostics (display-warning 'org-element-cache format-string) (if org-element--cache-diagnostics-ring nil (setq org-element--cache-diagnostics-ring ...)) (ring-insert org-element--cache-diagnostics-ring format-string))))) (org-element--cache-put element) (goto-char (org-element-property :contents-begin element)) (setq mode 'org-data)) ((not cached) (if (progn (defvar org-called-with-limited-levels) (defvar org-outline-regexp) (defvar outline-regexp) (defvar org-outline-regexp-bol) (let* ((org-called-with-limited-levels t) (org-outline-regexp (org-get-limited-outline-regexp)) (outline-regexp org-outline-regexp) (org-outline-regexp-bol (concat "^" org-outline-regexp))) (outline-previous-heading))) (progn (setq element (org-element-headline-parser nil 'fast)) (setq mode 'planning) (forward-line)) (setq element (org-element-org-data-parser)) (setq mode 'org-data)) (org-skip-whitespace) (beginning-of-line)) (t (let ((up cached) (pos (if (= (point-max) pos) (1- pos) pos))) (while (and up (<= (org-element-property :end up) pos)) (goto-char (org-element-property :end up)) (setq element up mode (org-element--next-mode (org-element-property :mode element) (org-element-type element) nil) up (org-element-property :parent up) next (point))) (if up (progn (setq element up))))))
  (let* ((cached (and (org-element--cache-active-p) (org-element--cache-find pos nil))) (mode (org-element-property :mode cached)) element next) (cond ((and (not cached) (org-element--cache-active-p)) (setq element (org-element-org-data-parser)) (if (org-element-property :begin element) nil (let* ((format-string (format "Error parsing org-data. Got %S\nPlease report to Or..." element)) (format-string (if ... format-string ...))) (if (and (boundp ...) org-batch-test) (error "%s" (concat "org-element--cache: " format-string)) (display-warning 'org-element-cache (concat "org-element--cache: " format-string))))) (if (or org-element--cache-diagnostics (eq org-element--cache-self-verify 'backtrace)) (progn (let* ((format-string ...) (format-string ...)) (if org-element--cache-diagnostics (display-warning ... format-string) (if org-element--cache-diagnostics-ring nil ...) (ring-insert org-element--cache-diagnostics-ring format-string))))) (org-element--cache-put element) (goto-char (org-element-property :contents-begin element)) (setq mode 'org-data)) ((not cached) (if (progn (defvar org-called-with-limited-levels) (defvar org-outline-regexp) (defvar outline-regexp) (defvar org-outline-regexp-bol) (let* ((org-called-with-limited-levels t) (org-outline-regexp ...) (outline-regexp org-outline-regexp) (org-outline-regexp-bol ...)) (outline-previous-heading))) (progn (setq element (org-element-headline-parser nil 'fast)) (setq mode 'planning) (forward-line)) (setq element (org-element-org-data-parser)) (setq mode 'org-data)) (org-skip-whitespace) (beginning-of-line)) (t (let ((up cached) (pos (if (= ... pos) (1- pos) pos))) (while (and up (<= (org-element-property :end up) pos)) (goto-char (org-element-property :end up)) (setq element up mode (org-element--next-mode (org-element-property :mode element) (org-element-type element) nil) up (org-element-property :parent up) next (point))) (if up (progn (setq element up)))))) (let ((end (or (org-element-property :end element) (point-max))) (parent (org-element-property :parent element))) (while t (if (org-element--cache-interrupt-p time-limit) (progn (throw 'org-element--cache-interrupt nil))) (if (and inhibit-quit org-element--cache-interrupt-C-g quit-flag) (progn (if quit-flag (progn (setq org-element--cache-interrupt-C-g-count ...) (setq quit-flag nil))) (if (>= org-element--cache-interrupt-C-g-count org-element--cache-interrupt-C-g-max-count) (progn (setq quit-flag t) (setq org-element--cache-interrupt-C-g-count 0) (org-element-cache-reset) (error "org-element: Parsing aborted by user.  Cache has b..."))) (message (substitute-command-keys "`org-element--parse-buffer': Suppressed `\\[keyboar...") (- org-element--cache-interrupt-C-g-max-count org-element--cache-interrupt-C-g-count)))) (if element nil (if (save-excursion (org-skip-whitespace) (eobp)) nil (let* ((vnew ...) (old ...)) (unwind-protect (progn ... ...) (fset ... old)))) (if element (setq element (or (org-element--cache-put element) element)) (throw 'exit parent)) (if (or (not (org-element--cache-active-p)) parent) nil (let* ((format-string ...) (format-string ...)) (if (and ... org-batch-test) (error "%s" ...) (display-warning ... ...)))) (org-element-put-property element :parent parent)) (let ((elem-end (org-element-property :end element)) (type (org-element-type element))) (cond ((and (<= elem-end pos) (/= ... elem-end)) (goto-char elem-end) (if (eq type ...) (progn ...)) (setq mode (org-element--next-mode mode type nil))) ((not (memq type org-element-greater-elements)) (throw 'exit (if syncp parent element))) ((let (... ...) (if ... ...))) (t (throw 'exit (if syncp parent element))))) (setq element nil))))
  (save-restriction (widen) (goto-char pos) (save-excursion (end-of-line) (skip-chars-backward " \15\11\n") (if (bobp) (progn (throw 'exit nil)))) (let* ((cached (and (org-element--cache-active-p) (org-element--cache-find pos nil))) (mode (org-element-property :mode cached)) element next) (cond ((and (not cached) (org-element--cache-active-p)) (setq element (org-element-org-data-parser)) (if (org-element-property :begin element) nil (let* ((format-string ...) (format-string ...)) (if (and ... org-batch-test) (error "%s" ...) (display-warning ... ...)))) (if (or org-element--cache-diagnostics (eq org-element--cache-self-verify 'backtrace)) (progn (let* (... ...) (if org-element--cache-diagnostics ... ... ...)))) (org-element--cache-put element) (goto-char (org-element-property :contents-begin element)) (setq mode 'org-data)) ((not cached) (if (progn (defvar org-called-with-limited-levels) (defvar org-outline-regexp) (defvar outline-regexp) (defvar org-outline-regexp-bol) (let* (... ... ... ...) (outline-previous-heading))) (progn (setq element (org-element-headline-parser nil ...)) (setq mode 'planning) (forward-line)) (setq element (org-element-org-data-parser)) (setq mode 'org-data)) (org-skip-whitespace) (beginning-of-line)) (t (let ((up cached) (pos (if ... ... pos))) (while (and up (<= ... pos)) (goto-char (org-element-property :end up)) (setq element up mode (org-element--next-mode ... ... nil) up (org-element-property :parent up) next (point))) (if up (progn (setq element up)))))) (let ((end (or (org-element-property :end element) (point-max))) (parent (org-element-property :parent element))) (while t (if (org-element--cache-interrupt-p time-limit) (progn (throw 'org-element--cache-interrupt nil))) (if (and inhibit-quit org-element--cache-interrupt-C-g quit-flag) (progn (if quit-flag (progn ... ...)) (if (>= org-element--cache-interrupt-C-g-count org-element--cache-interrupt-C-g-max-count) (progn ... ... ... ...)) (message (substitute-command-keys "`org-element--parse-buffer': Suppressed `\\[keyboar...") (- org-element--cache-interrupt-C-g-max-count org-element--cache-interrupt-C-g-count)))) (if element nil (if (save-excursion (org-skip-whitespace) (eobp)) nil (let* (... ...) (unwind-protect ... ...))) (if element (setq element (or ... element)) (throw 'exit parent)) (if (or (not ...) parent) nil (let* (... ...) (if ... ... ...))) (org-element-put-property element :parent parent)) (let ((elem-end (org-element-property :end element)) (type (org-element-type element))) (cond ((and ... ...) (goto-char elem-end) (if ... ...) (setq mode ...)) ((not ...) (throw ... ...)) ((let ... ...)) (t (throw ... ...)))) (setq element nil)))))
  (save-excursion (save-restriction (widen) (goto-char pos) (save-excursion (end-of-line) (skip-chars-backward " \15\11\n") (if (bobp) (progn (throw 'exit nil)))) (let* ((cached (and (org-element--cache-active-p) (org-element--cache-find pos nil))) (mode (org-element-property :mode cached)) element next) (cond ((and (not cached) (org-element--cache-active-p)) (setq element (org-element-org-data-parser)) (if (org-element-property :begin element) nil (let* (... ...) (if ... ... ...))) (if (or org-element--cache-diagnostics (eq org-element--cache-self-verify ...)) (progn (let* ... ...))) (org-element--cache-put element) (goto-char (org-element-property :contents-begin element)) (setq mode 'org-data)) ((not cached) (if (progn (defvar org-called-with-limited-levels) (defvar org-outline-regexp) (defvar outline-regexp) (defvar org-outline-regexp-bol) (let* ... ...)) (progn (setq element ...) (setq mode ...) (forward-line)) (setq element (org-element-org-data-parser)) (setq mode 'org-data)) (org-skip-whitespace) (beginning-of-line)) (t (let ((up cached) (pos ...)) (while (and up ...) (goto-char ...) (setq element up mode ... up ... next ...)) (if up (progn ...))))) (let ((end (or (org-element-property :end element) (point-max))) (parent (org-element-property :parent element))) (while t (if (org-element--cache-interrupt-p time-limit) (progn (throw ... nil))) (if (and inhibit-quit org-element--cache-interrupt-C-g quit-flag) (progn (if quit-flag ...) (if ... ...) (message ... ...))) (if element nil (if (save-excursion ... ...) nil (let* ... ...)) (if element (setq element ...) (throw ... parent)) (if (or ... parent) nil (let* ... ...)) (org-element-put-property element :parent parent)) (let ((elem-end ...) (type ...)) (cond (... ... ... ...) (... ...) (...) (t ...))) (setq element nil))))))
  (save-current-buffer (set-buffer (or (buffer-base-buffer nil) (or nil (current-buffer)))) (save-excursion (save-restriction (widen) (goto-char pos) (save-excursion (end-of-line) (skip-chars-backward " \15\11\n") (if (bobp) (progn (throw 'exit nil)))) (let* ((cached (and (org-element--cache-active-p) (org-element--cache-find pos nil))) (mode (org-element-property :mode cached)) element next) (cond ((and (not cached) (org-element--cache-active-p)) (setq element (org-element-org-data-parser)) (if (org-element-property :begin element) nil (let* ... ...)) (if (or org-element--cache-diagnostics ...) (progn ...)) (org-element--cache-put element) (goto-char (org-element-property :contents-begin element)) (setq mode 'org-data)) ((not cached) (if (progn ... ... ... ... ...) (progn ... ... ...) (setq element ...) (setq mode ...)) (org-skip-whitespace) (beginning-of-line)) (t (let (... ...) (while ... ... ...) (if up ...)))) (let ((end (or ... ...)) (parent (org-element-property :parent element))) (while t (if (org-element--cache-interrupt-p time-limit) (progn ...)) (if (and inhibit-quit org-element--cache-interrupt-C-g quit-flag) (progn ... ... ...)) (if element nil (if ... nil ...) (if element ... ...) (if ... nil ...) (org-element-put-property element :parent parent)) (let (... ...) (cond ... ... ... ...)) (setq element nil)))))))
  (progn (save-current-buffer (set-buffer (or (buffer-base-buffer nil) (or nil (current-buffer)))) (save-excursion (save-restriction (widen) (goto-char pos) (save-excursion (end-of-line) (skip-chars-backward " \15\11\n") (if (bobp) (progn (throw ... nil)))) (let* ((cached (and ... ...)) (mode (org-element-property :mode cached)) element next) (cond ((and ... ...) (setq element ...) (if ... nil ...) (if ... ...) (org-element--cache-put element) (goto-char ...) (setq mode ...)) ((not cached) (if ... ... ... ...) (org-skip-whitespace) (beginning-of-line)) (t (let ... ... ...))) (let ((end ...) (parent ...)) (while t (if ... ...) (if ... ...) (if element nil ... ... ... ...) (let ... ...) (setq element nil))))))))
  (unwind-protect (progn (save-current-buffer (set-buffer (or (buffer-base-buffer nil) (or nil (current-buffer)))) (save-excursion (save-restriction (widen) (goto-char pos) (save-excursion (end-of-line) (skip-chars-backward " \15\11\n") (if (bobp) (progn ...))) (let* ((cached ...) (mode ...) element next) (cond (... ... ... ... ... ... ...) (... ... ... ...) (t ...)) (let (... ...) (while t ... ... ... ... ...))))))) (set-match-data save-match-data-internal 'evaporate))
  (let ((save-match-data-internal (match-data))) (unwind-protect (progn (save-current-buffer (set-buffer (or (buffer-base-buffer nil) (or nil (current-buffer)))) (save-excursion (save-restriction (widen) (goto-char pos) (save-excursion (end-of-line) (skip-chars-backward " \15\11\n") (if ... ...)) (let* (... ... element next) (cond ... ... ...) (let ... ...)))))) (set-match-data save-match-data-internal 'evaporate)))
  (catch 'exit (let ((save-match-data-internal (match-data))) (unwind-protect (progn (save-current-buffer (set-buffer (or (buffer-base-buffer nil) (or nil ...))) (save-excursion (save-restriction (widen) (goto-char pos) (save-excursion ... ... ...) (let* ... ... ...))))) (set-match-data save-match-data-internal 'evaporate))))
  org-element--parse-to(665)
  (let (org-element-use-cache) (org-element--parse-to (if (memq (org-element-type element) '(table-row item)) (1+ (org-element-property :begin element)) (org-element-property :begin element))))
  (let ((real-element (let (org-element-use-cache) (org-element--parse-to (if (memq (org-element-type element) '...) (1+ (org-element-property :begin element)) (org-element-property :begin element)))))) (if (and (eq (org-element-type real-element) (org-element-type element)) (eq (org-element-property :begin real-element) (org-element-property :begin element)) (eq (org-element-property :end real-element) (org-element-property :end element)) (eq (org-element-property :contents-begin real-element) (org-element-property :contents-begin element)) (eq (org-element-property :contents-end real-element) (org-element-property :contents-end element)) (or (not (org-element-property :ID real-element)) (string= (org-element-property :ID real-element) (org-element-property :ID element)))) nil (let* ((format-string (format "(%S) Cached element is incorrect in %s. (Cache tic..." this-command (buffer-name (current-buffer)) (if (/= org-element--cache-change-tic ...) "no" "yes") (let (... ...) (prin1-to-string element)) (let (... ...) (prin1-to-string real-element)) (org-element--cache-find (1- ...)) (car (org-element--cache-find ... ...)) (cdr (org-element--cache-find ... ...)))) (format-string (if (or (not org-element--cache-diagnostics-ring) (not ...)) format-string (prog1 (concat ... format-string "\nBacktrace:\n  " ...) (setq org-element--cache-diagnostics-ring nil))))) (if (and (boundp 'org-batch-test) org-batch-test) (error "%s" (concat "org-element--cache: " format-string)) (display-warning 'org-element-cache (concat "org-element--cache: " format-string)))) (org-element-cache-reset)))
  (progn (let ((real-element (let (org-element-use-cache) (org-element--parse-to (if (memq ... ...) (1+ ...) (org-element-property :begin element)))))) (if (and (eq (org-element-type real-element) (org-element-type element)) (eq (org-element-property :begin real-element) (org-element-property :begin element)) (eq (org-element-property :end real-element) (org-element-property :end element)) (eq (org-element-property :contents-begin real-element) (org-element-property :contents-begin element)) (eq (org-element-property :contents-end real-element) (org-element-property :contents-end element)) (or (not (org-element-property :ID real-element)) (string= (org-element-property :ID real-element) (org-element-property :ID element)))) nil (let* ((format-string (format "(%S) Cached element is incorrect in %s. (Cache tic..." this-command (buffer-name ...) (if ... "no" "yes") (let ... ...) (let ... ...) (org-element--cache-find ...) (car ...) (cdr ...))) (format-string (if (or ... ...) format-string (prog1 ... ...)))) (if (and (boundp 'org-batch-test) org-batch-test) (error "%s" (concat "org-element--cache: " format-string)) (display-warning 'org-element-cache (concat "org-element--cache: " format-string)))) (org-element-cache-reset))))
  (if (and org-element--cache-self-verify (org-element--cache-active-p) element (not (memq (org-element-type element) '(section org-data))) (< (random 1000) (* 1000 org-element--cache-self-verify-frequency))) (progn (let ((real-element (let (org-element-use-cache) (org-element--parse-to (if ... ... ...))))) (if (and (eq (org-element-type real-element) (org-element-type element)) (eq (org-element-property :begin real-element) (org-element-property :begin element)) (eq (org-element-property :end real-element) (org-element-property :end element)) (eq (org-element-property :contents-begin real-element) (org-element-property :contents-begin element)) (eq (org-element-property :contents-end real-element) (org-element-property :contents-end element)) (or (not (org-element-property :ID real-element)) (string= (org-element-property :ID real-element) (org-element-property :ID element)))) nil (let* ((format-string (format "(%S) Cached element is incorrect in %s. (Cache tic..." this-command ... ... ... ... ... ... ...)) (format-string (if ... format-string ...))) (if (and (boundp ...) org-batch-test) (error "%s" (concat "org-element--cache: " format-string)) (display-warning 'org-element-cache (concat "org-element--cache: " format-string)))) (org-element-cache-reset)))))
  (let ((org-element--cache-self-verify (or org-element--cache-self-verify (and (boundp 'org-batch-test) org-batch-test))) (org-element--cache-self-verify-frequency (if (and (boundp 'org-batch-test) org-batch-test) 1 org-element--cache-self-verify-frequency))) (if (or (not org-element--cache-self-verify) (org-element-property :parent element) (eq 'org-data (org-element-type element))) nil (let* ((format-string (format "Got element without parent (cache active?: %S). Pl..." (org-element--cache-active-p) element)) (format-string (if (or (not org-element--cache-diagnostics-ring) (not ...)) format-string (prog1 (concat ... format-string "\nBacktrace:\n  " ...) (setq org-element--cache-diagnostics-ring nil))))) (if (and (boundp 'org-batch-test) org-batch-test) (error "%s" (concat "org-element--cache: " format-string)) (display-warning 'org-element-cache (concat "org-element--cache: " format-string)))) (org-element-cache-reset)) (if (and org-element--cache-self-verify (org-element--cache-active-p) (eq 'headline (org-element-type element)) (< (random 1000) (* 1000 org-element--cache-self-verify-frequency))) (progn (let ((--mpom (org-element-property :begin element))) (save-excursion (if (markerp --mpom) (progn (set-buffer ...))) (save-excursion (save-restriction (widen) (goto-char ...) (let* ... ...) (if ... nil ... ...) (org-element--cache-verify-element ...))))))) (if (and org-element--cache-self-verify (org-element--cache-active-p) element (not (memq (org-element-type element) '(section org-data))) (< (random 1000) (* 1000 org-element--cache-self-verify-frequency))) (progn (let ((real-element (let (org-element-use-cache) (org-element--parse-to ...)))) (if (and (eq (org-element-type real-element) (org-element-type element)) (eq (org-element-property :begin real-element) (org-element-property :begin element)) (eq (org-element-property :end real-element) (org-element-property :end element)) (eq (org-element-property :contents-begin real-element) (org-element-property :contents-begin element)) (eq (org-element-property :contents-end real-element) (org-element-property :contents-end element)) (or (not ...) (string= ... ...))) nil (let* ((format-string ...) (format-string ...)) (if (and ... org-batch-test) (error "%s" ...) (display-warning ... ...))) (org-element-cache-reset))))))
  org-element--cache-verify-element((planning (:closed nil :deadline nil :scheduled (timestamp (:type active :raw-value "<2023-03-14 Tue>" :year-start 2023 :month-start 3 :day-start 14 :hour-start nil :minute-start nil :year-end 2023 :month-end 3 :day-end 14 :hour-end nil :minute-end nil :begin 676 :end 692 :post-blank 0)) :begin 665 :end 694 :post-blank 1 :post-affiliated 665 :mode planning :granularity element :cached t :parent (section (:begin 665 :end 694 :contents-begin 665 :contents-end 693 :robust-begin 665 :robust-end 691 :post-blank 1 :post-affiliated 665 :mode section :granularity element :cached t :parent (headline (:raw-value "Sub event 2" :begin 650 :end 694 :pre-blank 0 :contents-begin 665 :contents-end 693 :robust-begin nil :robust-end nil :level 2 :priority nil :tags nil :todo-keyword nil :todo-type nil :post-blank 1 :footnote-section-p nil :archivedp nil :commentedp nil :post-affiliated 650 :scheduled (timestamp ...) :title "Sub event 2" :mode nil :granularity element :cached t :parent (headline ...))))))))
  (and (org-element--cache-active-p) element (org-element--cache-verify-element element))
  (if (and (org-element--cache-active-p) element (org-element--cache-verify-element element)) (progn (setq element (org-element--parse-to pom))))
  (let (element) (if (org-element--cache-active-p) (progn (if (not org-element--cache) (org-element-cache-reset) (if cached-only nil (org-element--cache-sync (current-buffer) pom))))) (setq element (if cached-only (if (and (org-element--cache-active-p) (or (not org-element--cache-sync-requests) (< pom (aref ... 1)))) (progn (org-element--cache-find pom))) (condition-case err (org-element--parse-to pom) (error (let* ((format-string ...) (format-string ...)) (if (and ... org-batch-test) (error "%s" ...) (display-warning ... ...))) (org-element-cache-reset) (org-element--parse-to pom))))) (if (and (org-element--cache-active-p) element (org-element--cache-verify-element element)) (progn (setq element (org-element--parse-to pom)))) (if (eq 'org-data (org-element-type element)) nil (if (and cached-only (not (and element (or (= pom ...) (and ... ... ...) (and ... ... ...) (and ... ... ...))))) nil (if (not (eq (org-element-type element) 'section)) element (org-element-at-point (1+ pom) cached-only)))))
  org-element-at-point(693)
  (progn (org-element-at-point (point-max)) (setq node (if (memq granularity '(headline headline+inlinetask)) (org-element--headline-cache-root) (org-element--cache-root)) stack (list nil) leftp t continue-flag t))
  (if node (progn (org-element-at-point (point-max)) (setq node (if (memq granularity '(headline headline+inlinetask)) (org-element--headline-cache-root) (org-element--cache-root)) stack (list nil) leftp t continue-flag t)))
  (if (or (not start) (= (org-element-property :begin data) start)) (progn (setq modified-tic org-element--cache-change-tic) (setq cache-size (if (memq granularity '(headline headline+inlinetask)) org-element--headline-cache-size org-element--cache-size)) (if (if last-match next-re fail-re) (progn (goto-char (org-element-property :begin data)) (let ((save-match-data-internal (match-data))) (unwind-protect (progn (if ... ... ...)) (set-match-data save-match-data-internal 'evaporate))))) (if (and (or (not start) (eq (org-element-property :begin data) start)) (< (org-element-property :begin data) to-pos)) (progn (setq start (progn (setq tmpnext-start nil) (if (memq granularity ...) (setq tmpnext-start ...) (setq tmpnext-start ...)) (setq tmpparent data) (catch :exit (if ... ...) (while ... ...)) tmpnext-start)) (goto-char start) (if (and next-element-re (not (eq org-element--cache-change-tic ...))) (progn (let (...) (unwind-protect ... ...)) (goto-char start))) (if (or (not restrict-elements) (memq (org-element-type data) restrict-elements)) (progn (setq org-element-cache-map-continue-from nil) (if org-element--cache-map-statistics (progn ... ... ... ...) (setq result ...) (if ... ...)) (setq last-match (car result)) (if org-element-cache-map-continue-from (progn ...)) (if (> ... start) (progn ... ...)) (if (car result) nil (car-safe ...)))) (if (and (eq org-element--cache-change-tic (alist-get granularity org-element--cache-gapless)) (eq (progn ... ... ... ... tmpnext-start) start)) (progn (setq start nil))) (if (and (eq modified-tic org-element--cache-change-tic) (eq cache-size (if ... org-element--headline-cache-size org-element--cache-size))) nil (setq start nil) (let ((save-match-data-internal ...)) (unwind-protect (progn ...) (set-match-data save-match-data-internal ...))) (if (and start (<= start ...) (not org-element-cache-map-continue-from)) (progn (goto-char start) (setq data ...) (if data ...))) (org-element-at-point to-pos) (if node (progn (org-element-at-point ...) (setq node ... stack ... leftp t continue-flag t)))) (if (and limit-count (>= count-predicate-calls-match limit-count)) (progn (setq continue-flag t node nil))) (if (org-element-property :cached data) (setq prev data) (setq prev nil))))) (if (memq (org-element-type (org-element--parse-to start)) '(plain-list table)) (org-element--parse-to (1+ start))) (if node (progn (org-element-at-point (point-max)) (setq node (if (memq granularity '(headline headline+inlinetask)) (org-element--headline-cache-root) (org-element--cache-root)) stack (list nil) leftp t continue-flag t))))
  (if (or (and start (< (org-element-property :begin data) start)) (and prev (not (org-element--cache-key-less-p (org-element--cache-key prev) (org-element--cache-key data))))) nil (if (or (not start) (= (org-element-property :begin data) start)) (progn (setq modified-tic org-element--cache-change-tic) (setq cache-size (if (memq granularity '(headline headline+inlinetask)) org-element--headline-cache-size org-element--cache-size)) (if (if last-match next-re fail-re) (progn (goto-char (org-element-property :begin data)) (let ((save-match-data-internal ...)) (unwind-protect (progn ...) (set-match-data save-match-data-internal ...))))) (if (and (or (not start) (eq (org-element-property :begin data) start)) (< (org-element-property :begin data) to-pos)) (progn (setq start (progn (setq tmpnext-start nil) (if ... ... ...) (setq tmpparent data) (catch :exit ... ...) tmpnext-start)) (goto-char start) (if (and next-element-re (not ...)) (progn (let ... ...) (goto-char start))) (if (or (not restrict-elements) (memq ... restrict-elements)) (progn (setq org-element-cache-map-continue-from nil) (if org-element--cache-map-statistics ... ... ...) (setq last-match ...) (if org-element-cache-map-continue-from ...) (if ... ...) (if ... nil ...))) (if (and (eq org-element--cache-change-tic ...) (eq ... start)) (progn (setq start nil))) (if (and (eq modified-tic org-element--cache-change-tic) (eq cache-size ...)) nil (setq start nil) (let (...) (unwind-protect ... ...)) (if (and start ... ...) (progn ... ... ...)) (org-element-at-point to-pos) (if node (progn ... ...))) (if (and limit-count (>= count-predicate-calls-match limit-count)) (progn (setq continue-flag t node nil))) (if (org-element-property :cached data) (setq prev data) (setq prev nil))))) (if (memq (org-element-type (org-element--parse-to start)) '(plain-list table)) (org-element--parse-to (1+ start))) (if node (progn (org-element-at-point (point-max)) (setq node (if (memq granularity '...) (org-element--headline-cache-root) (org-element--cache-root)) stack (list nil) leftp t continue-flag t)))))
  (if (and leftp (progn (progn (aref node 0))) (or (not prev) (not (org-element--cache-key-less-p (org-element--cache-key data) (org-element--cache-key prev)))) (or (not start) (not (> start (org-element-property :begin data))))) (progn (setq stack (cons node stack)) (setq node (progn (progn (aref node 0))))) (if (or (and start (< (org-element-property :begin data) start)) (and prev (not (org-element--cache-key-less-p (org-element--cache-key prev) (org-element--cache-key data))))) nil (if (or (not start) (= (org-element-property :begin data) start)) (progn (setq modified-tic org-element--cache-change-tic) (setq cache-size (if (memq granularity '...) org-element--headline-cache-size org-element--cache-size)) (if (if last-match next-re fail-re) (progn (goto-char (org-element-property :begin data)) (let (...) (unwind-protect ... ...)))) (if (and (or (not start) (eq ... start)) (< (org-element-property :begin data) to-pos)) (progn (setq start (progn ... ... ... ... tmpnext-start)) (goto-char start) (if (and next-element-re ...) (progn ... ...)) (if (or ... ...) (progn ... ... ... ... ... ...)) (if (and ... ...) (progn ...)) (if (and ... ...) nil (setq start nil) (let ... ...) (if ... ...) (org-element-at-point to-pos) (if node ...)) (if (and limit-count ...) (progn ...)) (if (org-element-property :cached data) (setq prev data) (setq prev nil))))) (if (memq (org-element-type (org-element--parse-to start)) '(plain-list table)) (org-element--parse-to (1+ start))) (if node (progn (org-element-at-point (point-max)) (setq node (if (memq granularity ...) (org-element--headline-cache-root) (org-element--cache-root)) stack (list nil) leftp t continue-flag t))))) (if continue-flag (setq continue-flag nil) (setq node (if (and (car stack) (or (and start (< ... start)) (and prev (org-element--cache-key-less-p ... ...)))) (progn (setq leftp nil) (car-safe (prog1 stack (setq stack ...)))) (if (setq leftp (progn (progn ...))) (progn (progn (aref node 1))) (car-safe (prog1 stack (setq stack ...))))))))
  (while node (setq data (progn (progn (aref node 2)))) (if (and leftp (progn (progn (aref node 0))) (or (not prev) (not (org-element--cache-key-less-p (org-element--cache-key data) (org-element--cache-key prev)))) (or (not start) (not (> start (org-element-property :begin data))))) (progn (setq stack (cons node stack)) (setq node (progn (progn (aref node 0))))) (if (or (and start (< (org-element-property :begin data) start)) (and prev (not (org-element--cache-key-less-p (org-element--cache-key prev) (org-element--cache-key data))))) nil (if (or (not start) (= (org-element-property :begin data) start)) (progn (setq modified-tic org-element--cache-change-tic) (setq cache-size (if (memq granularity ...) org-element--headline-cache-size org-element--cache-size)) (if (if last-match next-re fail-re) (progn (goto-char ...) (let ... ...))) (if (and (or ... ...) (< ... to-pos)) (progn (setq start ...) (goto-char start) (if ... ...) (if ... ...) (if ... ...) (if ... nil ... ... ... ... ...) (if ... ...) (if ... ... ...)))) (if (memq (org-element-type (org-element--parse-to start)) '(plain-list table)) (org-element--parse-to (1+ start))) (if node (progn (org-element-at-point (point-max)) (setq node (if ... ... ...) stack (list nil) leftp t continue-flag t))))) (if continue-flag (setq continue-flag nil) (setq node (if (and (car stack) (or (and start ...) (and prev ...))) (progn (setq leftp nil) (car-safe (prog1 stack ...))) (if (setq leftp (progn ...)) (progn (progn ...)) (car-safe (prog1 stack ...))))))))
  (if (and start (>= start to-pos)) nil (while node (setq data (progn (progn (aref node 2)))) (if (and leftp (progn (progn (aref node 0))) (or (not prev) (not (org-element--cache-key-less-p (org-element--cache-key data) (org-element--cache-key prev)))) (or (not start) (not (> start (org-element-property :begin data))))) (progn (setq stack (cons node stack)) (setq node (progn (progn (aref node 0))))) (if (or (and start (< (org-element-property :begin data) start)) (and prev (not (org-element--cache-key-less-p ... ...)))) nil (if (or (not start) (= (org-element-property :begin data) start)) (progn (setq modified-tic org-element--cache-change-tic) (setq cache-size (if ... org-element--headline-cache-size org-element--cache-size)) (if (if last-match next-re fail-re) (progn ... ...)) (if (and ... ...) (progn ... ... ... ... ... ... ... ...))) (if (memq (org-element-type ...) '...) (org-element--parse-to (1+ start))) (if node (progn (org-element-at-point ...) (setq node ... stack ... leftp t continue-flag t))))) (if continue-flag (setq continue-flag nil) (setq node (if (and (car stack) (or ... ...)) (progn (setq leftp nil) (car-safe ...)) (if (setq leftp ...) (progn ...) (car-safe ...))))))))
  (let* ((start (and from-pos (progn (goto-char from-pos) (org-element-property :begin (progn (if org-element--cache-sync-requests ...) (if restrict-elements ... ...)))))) (prev after-element) (node (if (memq granularity '(headline headline+inlinetask)) (org-element--headline-cache-root) (org-element--cache-root))) data (stack (list nil)) (leftp t) result (last-match t) continue-flag (next-element-re (let* ((pcase-0 #'(lambda nil ...))) (cond ((eq granularity 'headline) (funcall pcase-0)) ((eq '... restrict-elements) (funcall pcase-0)) ((eq granularity 'headline+inlinetask) (let nil (cons ... ...))) (t 'nil)))) (next-re (if (and next-re (string= next-re (or (car-safe next-element-re) next-element-re))) nil next-re)) (fail-re (if (and fail-re (string= fail-re (or (car-safe next-element-re) next-element-re))) nil fail-re)) (restrict-elements (or restrict-elements (cond ((eq granularity 'headline) (let nil '...)) ((eq granularity 'headline+inlinetask) (let nil '...)) ((eq granularity 'greater-element) (let nil org-element-greater-elements)) (t 'nil)))) (time (float-time)) (predicate-time 0) (pre-process-time 0) (re-search-time 0) (count-predicate-calls-match 0) (count-predicate-calls-fail 0) cache-size before-time modified-tic) (goto-char (or start (point-min))) (let ((save-match-data-internal (match-data))) (unwind-protect (progn (if (or (not next-element-re) (if org-element--cache-map-statistics (progn ... ... ...) (re-search-forward ... nil ...))) (if (or (< ... ...) (and data ...)) nil (if (cdr-safe next-element-re) (setq start ...) (setq start ...)) (if (>= start to-pos) (progn ...)) (if (eq start -1) (progn ...))) (setq continue-flag t node nil))) (set-match-data save-match-data-internal 'evaporate))) (if (and start (>= start to-pos)) nil (while node (setq data (progn (progn (aref node 2)))) (if (and leftp (progn (progn (aref node 0))) (or (not prev) (not (org-element--cache-key-less-p ... ...))) (or (not start) (not (> start ...)))) (progn (setq stack (cons node stack)) (setq node (progn (progn ...)))) (if (or (and start (< ... start)) (and prev (not ...))) nil (if (or (not start) (= ... start)) (progn (setq modified-tic org-element--cache-change-tic) (setq cache-size ...) (if ... ...) (if ... ...)) (if (memq ... ...) (org-element--parse-to ...)) (if node (progn ... ...)))) (if continue-flag (setq continue-flag nil) (setq node (if (and ... ...) (progn ... ...) (if ... ... ...))))))) (if (and org-element--cache-map-statistics (or (not org-element--cache-map-statistics-threshold) (> (- (float-time) time) org-element--cache-map-statistics-threshold))) (progn (message "Mapped over elements in %S. %d/%d predicate matche..." (current-buffer) count-predicate-calls-match (+ count-predicate-calls-match count-predicate-calls-fail) (- (float-time) time) pre-process-time predicate-time re-search-time granularity restrict-elements next-re fail-re from-pos to-pos limit-count after-element))) (nreverse result))
  (save-restriction (if narrow nil (widen)) (org-element-at-point to-pos) (let* ((start (and from-pos (progn (goto-char from-pos) (org-element-property :begin (progn ... ...))))) (prev after-element) (node (if (memq granularity '(headline headline+inlinetask)) (org-element--headline-cache-root) (org-element--cache-root))) data (stack (list nil)) (leftp t) result (last-match t) continue-flag (next-element-re (let* ((pcase-0 #'...)) (cond ((eq granularity ...) (funcall pcase-0)) ((eq ... restrict-elements) (funcall pcase-0)) ((eq granularity ...) (let nil ...)) (t 'nil)))) (next-re (if (and next-re (string= next-re (or ... next-element-re))) nil next-re)) (fail-re (if (and fail-re (string= fail-re (or ... next-element-re))) nil fail-re)) (restrict-elements (or restrict-elements (cond ((eq granularity ...) (let nil ...)) ((eq granularity ...) (let nil ...)) ((eq granularity ...) (let nil org-element-greater-elements)) (t 'nil)))) (time (float-time)) (predicate-time 0) (pre-process-time 0) (re-search-time 0) (count-predicate-calls-match 0) (count-predicate-calls-fail 0) cache-size before-time modified-tic) (goto-char (or start (point-min))) (let ((save-match-data-internal (match-data))) (unwind-protect (progn (if (or (not next-element-re) (if org-element--cache-map-statistics ... ...)) (if (or ... ...) nil (if ... ... ...) (if ... ...) (if ... ...)) (setq continue-flag t node nil))) (set-match-data save-match-data-internal 'evaporate))) (if (and start (>= start to-pos)) nil (while node (setq data (progn (progn (aref node 2)))) (if (and leftp (progn (progn ...)) (or (not prev) (not ...)) (or (not start) (not ...))) (progn (setq stack (cons node stack)) (setq node (progn ...))) (if (or (and start ...) (and prev ...)) nil (if (or ... ...) (progn ... ... ... ...) (if ... ...) (if node ...))) (if continue-flag (setq continue-flag nil) (setq node (if ... ... ...)))))) (if (and org-element--cache-map-statistics (or (not org-element--cache-map-statistics-threshold) (> (- (float-time) time) org-element--cache-map-statistics-threshold))) (progn (message "Mapped over elements in %S. %d/%d predicate matche..." (current-buffer) count-predicate-calls-match (+ count-predicate-calls-match count-predicate-calls-fail) (- (float-time) time) pre-process-time predicate-time re-search-time granularity restrict-elements next-re fail-re from-pos to-pos limit-count after-element))) (nreverse result)))
  (save-excursion (save-restriction (if narrow nil (widen)) (org-element-at-point to-pos) (let* ((start (and from-pos (progn (goto-char from-pos) (org-element-property :begin ...)))) (prev after-element) (node (if (memq granularity '...) (org-element--headline-cache-root) (org-element--cache-root))) data (stack (list nil)) (leftp t) result (last-match t) continue-flag (next-element-re (let* ((pcase-0 ...)) (cond (... ...) (... ...) (... ...) (t ...)))) (next-re (if (and next-re (string= next-re ...)) nil next-re)) (fail-re (if (and fail-re (string= fail-re ...)) nil fail-re)) (restrict-elements (or restrict-elements (cond (... ...) (... ...) (... ...) (t ...)))) (time (float-time)) (predicate-time 0) (pre-process-time 0) (re-search-time 0) (count-predicate-calls-match 0) (count-predicate-calls-fail 0) cache-size before-time modified-tic) (goto-char (or start (point-min))) (let ((save-match-data-internal (match-data))) (unwind-protect (progn (if (or ... ...) (if ... nil ... ... ...) (setq continue-flag t node nil))) (set-match-data save-match-data-internal 'evaporate))) (if (and start (>= start to-pos)) nil (while node (setq data (progn (progn ...))) (if (and leftp (progn ...) (or ... ...) (or ... ...)) (progn (setq stack ...) (setq node ...)) (if (or ... ...) nil (if ... ... ... ...)) (if continue-flag (setq continue-flag nil) (setq node ...))))) (if (and org-element--cache-map-statistics (or (not org-element--cache-map-statistics-threshold) (> (- ... time) org-element--cache-map-statistics-threshold))) (progn (message "Mapped over elements in %S. %d/%d predicate matche..." (current-buffer) count-predicate-calls-match (+ count-predicate-calls-match count-predicate-calls-fail) (- (float-time) time) pre-process-time predicate-time re-search-time granularity restrict-elements next-re fail-re from-pos to-pos limit-count after-element))) (nreverse result))))
  (let (tmpnext-start tmpparent tmpelement) (save-excursion (save-restriction (if narrow nil (widen)) (org-element-at-point to-pos) (let* ((start (and from-pos (progn ... ...))) (prev after-element) (node (if (memq granularity ...) (org-element--headline-cache-root) (org-element--cache-root))) data (stack (list nil)) (leftp t) result (last-match t) continue-flag (next-element-re (let* (...) (cond ... ... ... ...))) (next-re (if (and next-re ...) nil next-re)) (fail-re (if (and fail-re ...) nil fail-re)) (restrict-elements (or restrict-elements (cond ... ... ... ...))) (time (float-time)) (predicate-time 0) (pre-process-time 0) (re-search-time 0) (count-predicate-calls-match 0) (count-predicate-calls-fail 0) cache-size before-time modified-tic) (goto-char (or start (point-min))) (let ((save-match-data-internal (match-data))) (unwind-protect (progn (if ... ... ...)) (set-match-data save-match-data-internal 'evaporate))) (if (and start (>= start to-pos)) nil (while node (setq data (progn ...)) (if (and leftp ... ... ...) (progn ... ...) (if ... nil ...) (if continue-flag ... ...)))) (if (and org-element--cache-map-statistics (or (not org-element--cache-map-statistics-threshold) (> ... org-element--cache-map-statistics-threshold))) (progn (message "Mapped over elements in %S. %d/%d predicate matche..." (current-buffer) count-predicate-calls-match (+ count-predicate-calls-match count-predicate-calls-fail) (- ... time) pre-process-time predicate-time re-search-time granularity restrict-elements next-re fail-re from-pos to-pos limit-count after-element))) (nreverse result)))))
  (progn (if (org-element--cache-active-p) nil (error "Cache must be active.")) (if (memq granularity '(headline headline+inlinetask greater-element element)) nil (error "Unsupported granularity: %S" granularity)) (if (markerp to-pos) nil (let ((mk (make-marker))) (set-marker mk to-pos) (setq to-pos mk))) (let (tmpnext-start tmpparent tmpelement) (save-excursion (save-restriction (if narrow nil (widen)) (org-element-at-point to-pos) (let* ((start (and from-pos ...)) (prev after-element) (node (if ... ... ...)) data (stack (list nil)) (leftp t) result (last-match t) continue-flag (next-element-re (let* ... ...)) (next-re (if ... nil next-re)) (fail-re (if ... nil fail-re)) (restrict-elements (or restrict-elements ...)) (time (float-time)) (predicate-time 0) (pre-process-time 0) (re-search-time 0) (count-predicate-calls-match 0) (count-predicate-calls-fail 0) cache-size before-time modified-tic) (goto-char (or start (point-min))) (let ((save-match-data-internal ...)) (unwind-protect (progn ...) (set-match-data save-match-data-internal ...))) (if (and start (>= start to-pos)) nil (while node (setq data ...) (if ... ... ... ...))) (if (and org-element--cache-map-statistics (or ... ...)) (progn (message "Mapped over elements in %S. %d/%d predicate matche..." ... count-predicate-calls-match ... ... pre-process-time predicate-time re-search-time granularity restrict-elements next-re fail-re from-pos to-pos limit-count after-element))) (nreverse result))))))
  (progn (let ((--cl-keys-- --cl-rest--)) (while --cl-keys-- (cond ((memq (car --cl-keys--) '(:granularity :restrict-elements :next-re :fail-re :from-pos :to-pos :after-element :limit-count :narrow :allow-other-keys)) (setq --cl-keys-- (cdr (cdr --cl-keys--)))) ((car (cdr (memq ... --cl-rest--))) (setq --cl-keys-- nil)) (t (error "Keyword argument %s not one of (:granularity :rest..." (car --cl-keys--)))))) (progn (if (org-element--cache-active-p) nil (error "Cache must be active.")) (if (memq granularity '(headline headline+inlinetask greater-element element)) nil (error "Unsupported granularity: %S" granularity)) (if (markerp to-pos) nil (let ((mk (make-marker))) (set-marker mk to-pos) (setq to-pos mk))) (let (tmpnext-start tmpparent tmpelement) (save-excursion (save-restriction (if narrow nil (widen)) (org-element-at-point to-pos) (let* ((start ...) (prev after-element) (node ...) data (stack ...) (leftp t) result (last-match t) continue-flag (next-element-re ...) (next-re ...) (fail-re ...) (restrict-elements ...) (time ...) (predicate-time 0) (pre-process-time 0) (re-search-time 0) (count-predicate-calls-match 0) (count-predicate-calls-fail 0) cache-size before-time modified-tic) (goto-char (or start ...)) (let (...) (unwind-protect ... ...)) (if (and start ...) nil (while node ... ...)) (if (and org-element--cache-map-statistics ...) (progn ...)) (nreverse result)))))))
  (let* ((granularity (car (cdr (or (plist-member --cl-rest-- ':granularity) '(nil headline+inlinetask))))) (restrict-elements (car (cdr (plist-member --cl-rest-- ':restrict-elements)))) (next-re (car (cdr (plist-member --cl-rest-- ':next-re)))) (fail-re (car (cdr (plist-member --cl-rest-- ':fail-re)))) (from-pos (car (cdr (plist-member --cl-rest-- ':from-pos)))) (to-pos (car (cdr (or (plist-member --cl-rest-- ':to-pos) (list nil (point-max-marker)))))) (after-element (car (cdr (plist-member --cl-rest-- ':after-element)))) (limit-count (car (cdr (plist-member --cl-rest-- ':limit-count)))) (narrow (car (cdr (plist-member --cl-rest-- ':narrow))))) (progn (let ((--cl-keys-- --cl-rest--)) (while --cl-keys-- (cond ((memq (car --cl-keys--) '...) (setq --cl-keys-- (cdr ...))) ((car (cdr ...)) (setq --cl-keys-- nil)) (t (error "Keyword argument %s not one of (:granularity :rest..." (car --cl-keys--)))))) (progn (if (org-element--cache-active-p) nil (error "Cache must be active.")) (if (memq granularity '(headline headline+inlinetask greater-element element)) nil (error "Unsupported granularity: %S" granularity)) (if (markerp to-pos) nil (let ((mk (make-marker))) (set-marker mk to-pos) (setq to-pos mk))) (let (tmpnext-start tmpparent tmpelement) (save-excursion (save-restriction (if narrow nil (widen)) (org-element-at-point to-pos) (let* (... ... ... data ... ... result ... continue-flag ... ... ... ... ... ... ... ... ... ... cache-size before-time modified-tic) (goto-char ...) (let ... ...) (if ... nil ...) (if ... ...) (nreverse result))))))))
  org-element-cache-map((closure ((fast-re . "^\\*+ ") (ts-date-pair) (ts-date-type) (ts-date) (priority) (entry) (marker) (todo) (txt) (i) (category . "test_subtree_ical_export") (level . 1) (rtn1 . 0) (rtn 0) (llast . 0) (tags-alist (0)) (tags-list) (tags) (lspos) (props face default done-face org-agenda-done undone-face default mouse-face highlight org-not-done-regexp "\\(TODO\\)" org-todo-regexp "\\(DONE\\|TODO\\)" org-complex-heading-regexp "^\\(\\*+\\)\\(?: +\\(DONE\\|TODO\\)\\)?\\(?: +\\(\\[#.\\]\\)\\)?..." help-echo "mouse-2 or RET jump to Org file \"~/src/khalel/test...") (re . "^\\*+  *\\(?:\\(\\(DONE\\|TODO\\)\\) \\)? *\\(.*?\\)\\([ \11]:\\...") (start-level) (todo-only) (matcher . t) (action closure ((modified-flag . t) (bell . warn-user) (file . "/home/hanno/src/khalel/test_subtree_ical_export.or...") t) nil (let ((entry (org-element-at-point))) (if (org-element-property :ID entry) nil (org-id-get-create) (setq modified-flag t) (forward-line)))) org-agenda-archives-mode org-end-time-was-given org-time-was-given org-log-note-extra org-log-note-purpose org-log-post-message org-last-inserted-timestamp org-last-changed-timestamp org-entry-property-inherited-from org-blocked-by-checkboxes org-state org-agenda-headline-snapshot-before-repeat org-agenda-buffer-name org-agenda-start-on-weekday org-agenda-buffer-tmp-name org-priority-regexp org-mode-abbrev-table org-mode-syntax-table org-element-cache-persistent buffer-face-mode-face org-tbl-menu org-org-menu org-struct-menu org-entities org-last-state ...) (el) (goto-char (org-element-property :begin el)) (setq todo (org-element-property :todo-keyword el) level (org-element-property :level el) category (org-entry-get-with-inheritance "CATEGORY" nil el) tags-list (org-get-tags el) org-scanner-tags tags-list) (if (eq action 'agenda) (progn (setq ts-date-pair (org-agenda-entry-get-agenda-timestamp (point)) ts-date (car ts-date-pair) ts-date-type (cdr ts-date-pair)))) (catch :skip (if (and (and (or (not todo-only) (member todo org-todo-keywords-1)) (if (functionp matcher) (let ... ...) matcher)) (progn (if (eq action ...) nil (org-agenda-skip el)) t) (or (not todo-only) (and (member todo org-todo-keywords-1) (or ... ...)))) (progn (cond ((eq action ...) (and org-highlight-sparse-tree-matches ... ... ...) (org-fold-show-context ...)) ((eq action ...) (let* ... ... ...) (goto-char ...) (setq marker ...) (org-add-props txt props ... marker ... marker ... category ... todo ... ts-date ... priority ... ...) (setq rtn ...)) ((functionp action) (setq org-map-continue-from nil) (save-excursion ... ...)) (t (user-error "Invalid action"))) (if org-tags-match-list-sublevels nil (goto-char (1- ...)))))) (if org-map-continue-from (progn (setq org-element-cache-map-continue-from org-map-continue-from) (goto-char org-map-continue-from))) nil) :next-re "^\\*+ " :fail-re "^\\*+ " :narrow t)
  (let ((fast-re (concat "^" (if start-level (concat "\\*\\{" (number-to-string start-level) "\\} ") org-outline-regexp)))) (org-element-cache-map #'(lambda (el) (goto-char (org-element-property :begin el)) (setq todo (org-element-property :todo-keyword el) level (org-element-property :level el) category (org-entry-get-with-inheritance "CATEGORY" nil el) tags-list (org-get-tags el) org-scanner-tags tags-list) (if (eq action 'agenda) (progn (setq ts-date-pair (org-agenda-entry-get-agenda-timestamp ...) ts-date (car ts-date-pair) ts-date-type (cdr ts-date-pair)))) (catch :skip (if (and (and ... ...) (progn ... t) (or ... ...)) (progn (cond ... ... ... ...) (if org-tags-match-list-sublevels nil ...)))) (if org-map-continue-from (progn (setq org-element-cache-map-continue-from org-map-continue-from) (goto-char org-map-continue-from))) nil) :next-re fast-re :fail-re fast-re :narrow t))
  (if (org-element--cache-active-p) (let ((fast-re (concat "^" (if start-level (concat "\\*\\{" (number-to-string start-level) "\\} ") org-outline-regexp)))) (org-element-cache-map #'(lambda (el) (goto-char (org-element-property :begin el)) (setq todo (org-element-property :todo-keyword el) level (org-element-property :level el) category (org-entry-get-with-inheritance "CATEGORY" nil el) tags-list (org-get-tags el) org-scanner-tags tags-list) (if (eq action 'agenda) (progn (setq ts-date-pair ... ts-date ... ts-date-type ...))) (catch :skip (if (and ... ... ...) (progn ... ...))) (if org-map-continue-from (progn (setq org-element-cache-map-continue-from org-map-continue-from) (goto-char org-map-continue-from))) nil) :next-re fast-re :fail-re fast-re :narrow t)) (while (let (case-fold-search) (re-search-forward re nil t)) (setq org-map-continue-from nil) (catch :skip (if (and (fboundp 'org-inlinetask-end-p) (org-inlinetask-end-p)) (progn (throw :skip t))) (setq todo (and (match-end 1) (match-string-no-properties 1))) (setq tags (and (match-end 4) (org-trim (match-string-no-properties 4)))) (goto-char (setq lspos (match-beginning 0))) (setq level (org-reduced-level (org-outline-level)) category (org-get-category)) (if (eq action 'agenda) (progn (setq ts-date-pair (org-agenda-entry-get-agenda-timestamp (point)) ts-date (car ts-date-pair) ts-date-type (cdr ts-date-pair)))) (setq i llast llast level) (while (>= i level) (if (setq entry (assoc i tags-alist)) (progn (setq tags-alist (delete entry tags-alist)))) (setq i (1- i))) (if tags (progn (setq tags (org-split-string tags ":") tags-alist (cons (cons level tags) tags-alist)))) (setq tags-list (if org-use-tag-inheritance (apply 'append (mapcar 'cdr (reverse tags-alist))) tags) org-scanner-tags tags-list) (if org-use-tag-inheritance (progn (setcdr (car tags-alist) (mapcar #'... (cdr ...))))) (if (and tags org-use-tag-inheritance (or (not (eq t org-use-tag-inheritance)) org-tags-exclude-from-inheritance)) (progn (setcdr (car tags-alist) (org-remove-uninherited-tags (cdr ...))))) (if (and (and (or (not todo-only) (member todo org-todo-keywords-1)) (if (functionp matcher) (let ... ...) matcher)) (progn (if (eq action ...) nil (org-agenda-skip)) t) (or (not todo-only) (and (member todo org-todo-keywords-1) (or ... ...)))) (progn (cond ((eq action ...) (and org-highlight-sparse-tree-matches ... ... ...) (org-fold-show-context ...)) ((eq action ...) (setq txt ... priority ...) (goto-char lspos) (setq marker ...) (org-add-props txt props ... marker ... marker ... category ... todo ... ts-date ... priority ... ...) (setq rtn ...)) ((functionp action) (setq org-map-continue-from nil) (save-excursion ... ...)) (t (user-error "Invalid action"))) (if org-tags-match-list-sublevels nil (org-end-of-subtree t) (backward-char 1))))) (if org-map-continue-from (goto-char org-map-continue-from) (and (= (point) lspos) (end-of-line 1)))))
  (save-excursion (goto-char (point-min)) (if (eq action 'sparse-tree) (progn (org-cycle-overview) (org-remove-occur-highlights))) (if (org-element--cache-active-p) (let ((fast-re (concat "^" (if start-level (concat "\\*\\{" ... "\\} ") org-outline-regexp)))) (org-element-cache-map #'(lambda (el) (goto-char (org-element-property :begin el)) (setq todo (org-element-property :todo-keyword el) level (org-element-property :level el) category (org-entry-get-with-inheritance "CATEGORY" nil el) tags-list (org-get-tags el) org-scanner-tags tags-list) (if (eq action ...) (progn ...)) (catch :skip (if ... ...)) (if org-map-continue-from (progn ... ...)) nil) :next-re fast-re :fail-re fast-re :narrow t)) (while (let (case-fold-search) (re-search-forward re nil t)) (setq org-map-continue-from nil) (catch :skip (if (and (fboundp 'org-inlinetask-end-p) (org-inlinetask-end-p)) (progn (throw :skip t))) (setq todo (and (match-end 1) (match-string-no-properties 1))) (setq tags (and (match-end 4) (org-trim (match-string-no-properties 4)))) (goto-char (setq lspos (match-beginning 0))) (setq level (org-reduced-level (org-outline-level)) category (org-get-category)) (if (eq action 'agenda) (progn (setq ts-date-pair (org-agenda-entry-get-agenda-timestamp ...) ts-date (car ts-date-pair) ts-date-type (cdr ts-date-pair)))) (setq i llast llast level) (while (>= i level) (if (setq entry (assoc i tags-alist)) (progn (setq tags-alist ...))) (setq i (1- i))) (if tags (progn (setq tags (org-split-string tags ":") tags-alist (cons ... tags-alist)))) (setq tags-list (if org-use-tag-inheritance (apply 'append (mapcar ... ...)) tags) org-scanner-tags tags-list) (if org-use-tag-inheritance (progn (setcdr (car tags-alist) (mapcar ... ...)))) (if (and tags org-use-tag-inheritance (or (not ...) org-tags-exclude-from-inheritance)) (progn (setcdr (car tags-alist) (org-remove-uninherited-tags ...)))) (if (and (and (or ... ...) (if ... ... matcher)) (progn (if ... nil ...) t) (or (not todo-only) (and ... ...))) (progn (cond (... ... ...) (... ... ... ... ... ...) (... ... ...) (t ...)) (if org-tags-match-list-sublevels nil (org-end-of-subtree t) (backward-char 1))))) (if org-map-continue-from (goto-char org-map-continue-from) (and (= (point) lspos) (end-of-line 1))))))
  (let* ((re (concat "^" (if start-level (concat "\\*\\{" (number-to-string start-level) "\\} ") org-outline-regexp) " *\\(?:\\(" (regexp-opt org-todo-keywords-1 t) "\\) \\)?" " *\\(.*?\\)\\([ \11]:\\(?:" org-tag-re ":\\)+\\)?[ \11]*$")) (props (list 'face 'default 'done-face 'org-agenda-done 'undone-face 'default 'mouse-face 'highlight 'org-not-done-regexp org-not-done-regexp 'org-todo-regexp org-todo-regexp 'org-complex-heading-regexp org-complex-heading-regexp 'help-echo (format "mouse-2 or RET jump to Org file %S" (abbreviate-file-name (or (buffer-file-name ...) (buffer-name ...)))))) (org-map-continue-from nil) lspos tags tags-list (tags-alist (list (cons 0 org-file-tags))) (llast 0) rtn rtn1 level category i txt todo marker entry priority ts-date ts-date-type ts-date-pair) (if (or (member action '(agenda sparse-tree)) (functionp action)) nil (setq action (list 'lambda nil action))) (save-excursion (goto-char (point-min)) (if (eq action 'sparse-tree) (progn (org-cycle-overview) (org-remove-occur-highlights))) (if (org-element--cache-active-p) (let ((fast-re (concat "^" (if start-level ... org-outline-regexp)))) (org-element-cache-map #'(lambda (el) (goto-char ...) (setq todo ... level ... category ... tags-list ... org-scanner-tags tags-list) (if ... ...) (catch :skip ...) (if org-map-continue-from ...) nil) :next-re fast-re :fail-re fast-re :narrow t)) (while (let (case-fold-search) (re-search-forward re nil t)) (setq org-map-continue-from nil) (catch :skip (if (and (fboundp ...) (org-inlinetask-end-p)) (progn (throw :skip t))) (setq todo (and (match-end 1) (match-string-no-properties 1))) (setq tags (and (match-end 4) (org-trim ...))) (goto-char (setq lspos (match-beginning 0))) (setq level (org-reduced-level (org-outline-level)) category (org-get-category)) (if (eq action 'agenda) (progn (setq ts-date-pair ... ts-date ... ts-date-type ...))) (setq i llast llast level) (while (>= i level) (if (setq entry ...) (progn ...)) (setq i (1- i))) (if tags (progn (setq tags ... tags-alist ...))) (setq tags-list (if org-use-tag-inheritance (apply ... ...) tags) org-scanner-tags tags-list) (if org-use-tag-inheritance (progn (setcdr ... ...))) (if (and tags org-use-tag-inheritance (or ... org-tags-exclude-from-inheritance)) (progn (setcdr ... ...))) (if (and (and ... ...) (progn ... t) (or ... ...)) (progn (cond ... ... ... ...) (if org-tags-match-list-sublevels nil ... ...)))) (if org-map-continue-from (goto-char org-map-continue-from) (and (= (point) lspos) (end-of-line 1)))))) (if (and (eq action 'sparse-tree) (not org-sparse-tree-open-archived-trees)) (progn (org-fold-hide-archived-subtrees (point-min) (point-max)))) (nreverse rtn))
  org-scan-tags((closure ((modified-flag . t) (bell . warn-user) (file . "/home/hanno/src/khalel/test_subtree_ical_export.or...") t) nil (let ((entry (org-element-at-point))) (if (org-element-property :ID entry) nil (org-id-get-create) (setq modified-flag t) (forward-line)))) t nil nil)
  (setq res (org-scan-tags func matcher org--matcher-tags-todo-only start-level))
  (progn (if buffer-file-name (progn (org-agenda-prepare-buffers (and buffer-file-name (list buffer-file-name))))) (setq res (org-scan-tags func matcher org--matcher-tags-todo-only start-level)))
  (if (not scope) (progn (if buffer-file-name (progn (org-agenda-prepare-buffers (and buffer-file-name (list buffer-file-name))))) (setq res (org-scan-tags func matcher org--matcher-tags-todo-only start-level))) (cond ((and scope (listp scope) (symbolp (car scope))) (setq scope (eval scope t))) ((eq scope 'agenda) (setq scope (org-agenda-files t))) ((eq scope 'agenda-with-archives) (setq scope (org-agenda-files t)) (setq scope (org-add-archive-files scope))) ((eq scope 'file) (setq scope (and buffer-file-name (list buffer-file-name)))) ((eq scope 'file-with-archives) (setq scope (org-add-archive-files (list (buffer-file-name)))))) (org-agenda-prepare-buffers scope) (let ((--dolist-tail-- scope)) (while --dolist-tail-- (let ((file (car --dolist-tail--))) (save-current-buffer (set-buffer (org-find-base-buffer-visiting file)) (save-excursion (save-restriction (widen) (goto-char ...) (setq res ...)))) (setq --dolist-tail-- (cdr --dolist-tail--))))))
  (save-restriction (cond ((eq scope 'tree) (org-back-to-heading t) (org-narrow-to-subtree) (setq scope nil)) ((and (or (eq scope 'region) (eq scope 'region-start-level)) (org-region-active-p)) (if start-level (progn (save-excursion (goto-char (region-beginning)) (if (org-at-heading-p) nil (outline-next-heading)) (setq start-level (org-current-level))))) (narrow-to-region (region-beginning) (save-excursion (goto-char (region-end)) (if (and (bolp) (org-at-heading-p)) nil (outline-next-heading)) (point))) (setq scope nil))) (if (not scope) (progn (if buffer-file-name (progn (org-agenda-prepare-buffers (and buffer-file-name (list buffer-file-name))))) (setq res (org-scan-tags func matcher org--matcher-tags-todo-only start-level))) (cond ((and scope (listp scope) (symbolp (car scope))) (setq scope (eval scope t))) ((eq scope 'agenda) (setq scope (org-agenda-files t))) ((eq scope 'agenda-with-archives) (setq scope (org-agenda-files t)) (setq scope (org-add-archive-files scope))) ((eq scope 'file) (setq scope (and buffer-file-name (list buffer-file-name)))) ((eq scope 'file-with-archives) (setq scope (org-add-archive-files (list (buffer-file-name)))))) (org-agenda-prepare-buffers scope) (let ((--dolist-tail-- scope)) (while --dolist-tail-- (let ((file (car --dolist-tail--))) (save-current-buffer (set-buffer (org-find-base-buffer-visiting file)) (save-excursion (save-restriction ... ... ...))) (setq --dolist-tail-- (cdr --dolist-tail--)))))))
  (save-excursion (save-restriction (cond ((eq scope 'tree) (org-back-to-heading t) (org-narrow-to-subtree) (setq scope nil)) ((and (or (eq scope 'region) (eq scope 'region-start-level)) (org-region-active-p)) (if start-level (progn (save-excursion (goto-char ...) (if ... nil ...) (setq start-level ...)))) (narrow-to-region (region-beginning) (save-excursion (goto-char (region-end)) (if (and ... ...) nil (outline-next-heading)) (point))) (setq scope nil))) (if (not scope) (progn (if buffer-file-name (progn (org-agenda-prepare-buffers (and buffer-file-name ...)))) (setq res (org-scan-tags func matcher org--matcher-tags-todo-only start-level))) (cond ((and scope (listp scope) (symbolp (car scope))) (setq scope (eval scope t))) ((eq scope 'agenda) (setq scope (org-agenda-files t))) ((eq scope 'agenda-with-archives) (setq scope (org-agenda-files t)) (setq scope (org-add-archive-files scope))) ((eq scope 'file) (setq scope (and buffer-file-name (list buffer-file-name)))) ((eq scope 'file-with-archives) (setq scope (org-add-archive-files (list ...))))) (org-agenda-prepare-buffers scope) (let ((--dolist-tail-- scope)) (while --dolist-tail-- (let ((file ...)) (save-current-buffer (set-buffer ...) (save-excursion ...)) (setq --dolist-tail-- (cdr --dolist-tail--))))))))
  (let* ((org-agenda-archives-mode nil) (org-agenda-skip-archived-trees (memq 'archive skip)) (org-agenda-skip-comment-trees (memq 'comment skip)) (org-agenda-skip-function (car (org-delete-all '(comment archive) skip))) (org-tags-match-list-sublevels t) (start-level (eq scope 'region-start-level)) matcher res org-todo-keywords-for-agenda org-done-keywords-for-agenda org-todo-keyword-alist-for-agenda org-tag-alist-for-agenda org--matcher-tags-todo-only) (cond ((eq match t) (setq matcher t)) ((eq match nil) (setq matcher t)) (t (setq matcher (if match (cdr (org-make-tags-matcher match)) t)))) (save-excursion (save-restriction (cond ((eq scope 'tree) (org-back-to-heading t) (org-narrow-to-subtree) (setq scope nil)) ((and (or (eq scope ...) (eq scope ...)) (org-region-active-p)) (if start-level (progn (save-excursion ... ... ...))) (narrow-to-region (region-beginning) (save-excursion (goto-char ...) (if ... nil ...) (point))) (setq scope nil))) (if (not scope) (progn (if buffer-file-name (progn (org-agenda-prepare-buffers ...))) (setq res (org-scan-tags func matcher org--matcher-tags-todo-only start-level))) (cond ((and scope (listp scope) (symbolp ...)) (setq scope (eval scope t))) ((eq scope 'agenda) (setq scope (org-agenda-files t))) ((eq scope 'agenda-with-archives) (setq scope (org-agenda-files t)) (setq scope (org-add-archive-files scope))) ((eq scope 'file) (setq scope (and buffer-file-name ...))) ((eq scope 'file-with-archives) (setq scope (org-add-archive-files ...)))) (org-agenda-prepare-buffers scope) (let ((--dolist-tail-- scope)) (while --dolist-tail-- (let (...) (save-current-buffer ... ...) (setq --dolist-tail-- ...))))))) res)
  (if (and (or (eq scope 'region) (eq scope 'region-start-level)) (not (org-region-active-p))) nil (let* ((org-agenda-archives-mode nil) (org-agenda-skip-archived-trees (memq 'archive skip)) (org-agenda-skip-comment-trees (memq 'comment skip)) (org-agenda-skip-function (car (org-delete-all '(comment archive) skip))) (org-tags-match-list-sublevels t) (start-level (eq scope 'region-start-level)) matcher res org-todo-keywords-for-agenda org-done-keywords-for-agenda org-todo-keyword-alist-for-agenda org-tag-alist-for-agenda org--matcher-tags-todo-only) (cond ((eq match t) (setq matcher t)) ((eq match nil) (setq matcher t)) (t (setq matcher (if match (cdr (org-make-tags-matcher match)) t)))) (save-excursion (save-restriction (cond ((eq scope 'tree) (org-back-to-heading t) (org-narrow-to-subtree) (setq scope nil)) ((and (or ... ...) (org-region-active-p)) (if start-level (progn ...)) (narrow-to-region (region-beginning) (save-excursion ... ... ...)) (setq scope nil))) (if (not scope) (progn (if buffer-file-name (progn ...)) (setq res (org-scan-tags func matcher org--matcher-tags-todo-only start-level))) (cond ((and scope ... ...) (setq scope ...)) ((eq scope ...) (setq scope ...)) ((eq scope ...) (setq scope ...) (setq scope ...)) ((eq scope ...) (setq scope ...)) ((eq scope ...) (setq scope ...))) (org-agenda-prepare-buffers scope) (let ((--dolist-tail-- scope)) (while --dolist-tail-- (let ... ... ...)))))) res))
  org-map-entries((closure ((modified-flag . t) (bell . warn-user) (file . "/home/hanno/src/khalel/test_subtree_ical_export.or...") t) nil (let ((entry (org-element-at-point))) (if (org-element-property :ID entry) nil (org-id-get-create) (setq modified-flag t) (forward-line)))) nil nil comment)
  (let (modified-flag) (org-map-entries #'(lambda nil (let ((entry (org-element-at-point))) (if (org-element-property :ID entry) nil (org-id-get-create) (setq modified-flag t) (forward-line)))) nil nil 'comment) (if (and bell modified-flag) (progn (message "ID properties created in file \"%s\"" file) (sit-for 2))))
  org-icalendar-create-uid("/home/hanno/src/khalel/test_subtree_ical_export.or..." warn-user)
  (progn (org-icalendar-create-uid file 'warn-user))
  (if (and file org-icalendar-store-UID) (progn (org-icalendar-create-uid file 'warn-user)))
  (let ((file (buffer-file-name (buffer-base-buffer)))) (if (and file org-icalendar-store-UID) (progn (org-icalendar-create-uid file 'warn-user))))
  org-icalendar-export-to-ics()
  funcall-interactively(org-icalendar-export-to-ics)
  command-execute(org-icalendar-export-to-ics record)
  execute-extended-command(nil "org-icalendar-export-to-ics" "org-icalendar-export-to")
  funcall-interactively(execute-extended-command nil "org-icalendar-export-to-ics" "org-icalendar-export-to")
  command-execute(execute-extended-command)
#+end_example
